Results 1 to 1 of 1
  1.    #1  
    I am PO'd now because I cant have that adorable app because Verizon wont update our phones to 1.4.5 ARGGHHHH!!!!!! Its not right!
    Last edited by HelloNNNewman; 08/27/2010 at 08:32 PM. Reason: language

Posting Permissions